Store

The Store Object

A Rutter Store represents information about the merchant's store, including a consumer-identifiable name, URL, and default currency.

Properties

idstring

The Rutter generated unique ID of the store.

platform_idstringOptional

The platform's unique identifier for the store. Supported for Amazon and Shopify.

store_namestring

The unique identifier or brand name of the store.

urlstring

The consumer facing URL of the store.

default_currencystringnullable

The ISO 4217 currency code of the store.

emailstringOptional

The email of the primary contact of the store.

localesobjectOptional

The locales configured on the store. Supported for Shopify.

Show locales attributes
platform_dataobjectOptional

The raw platform data corresponding to the Rutter object.

Endpoints
GET
/store

Fetch a Store

GEThttps://production.rutterapi.com/versioned/store

Request Parameters

    access_tokenstringqueryRequired

    The access token of the connection.

    expandarrayqueryOptional

    Include platform specific data (includes additional fields not provided by the Rutter object).

    One or more ofplatform_data.
    show_seller_performanceenumqueryOptional

    Amazon only. When true, fetches the latest GET_V2_SELLER_PERFORMANCE_REPORT and includes the raw payload at store.platform_data.sellerPerformance. Requires expand=platform_data.

    One oftrue or false.
    force_fetchenumqueryOptional

    Used to force a response even if the underlying connection has not finished its initial sync.

    One oftrue or false.

Response Body

200
Example Response Body
JSON
1
{
2
"store": {
3
"id": "00000000-0000-0000-0000-000000000000",
4
"store_name": "The Rutter Store",
5
"url": "https://www.rutter.com",
6
"default_currency": "USD",
7
"email": "eric@rutter.com",
8
"locales": {
9
"enabled": [
10
"en-US",
11
"pt-BR"
12
],
13
"primary": "en-US"
14
},
15
"platform_data": {
16
"id": 123,
17
"data": "Varies by platform"
18
}
19
},
20
"connection": {
21
"id": "00000000-0000-0000-0000-000000000000",
22
"orgId": "00000000-0000-0000-0000-000000000000",
23
"platform": "SHOPIFY"
24
}
25
}

Have questions?

Contact support for personalized guidance.

Contact support